com.ietnet.fse.igestore.impl

## Class IGestoreConsensoImpl

- java.lang.Object
- - com.ietnet.fse.AbstractService
  - - com.ietnet.fse.igestore.impl.IGestoreConsensoImpl

- All Implemented Interfaces:
    IGestoreConsenso

      @Addressing(enabled=true,
                  required=true)
      public class IGestoreConsensoImpl
      extends com.ietnet.fse.AbstractService
      implements IGestoreConsenso

  Author:
    musceo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IGestoreConsensoImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blindDocument(java.lang.String patientCode, DocumentURI documentURI, java.lang.String documentOwner, java.lang.String documentType, boolean blindDocument)` Imposta lo stato di oscuramento su uno specifico documento del fascicolo
    `AccessPolicies` | `getAccessPolicies(java.lang.String patientCode)` Restituisce le politiche di accesso puntuale alla consultazione
    `Agreements` | `getAgreements(java.lang.String patientCode)`
    `java.lang.String` | `getAssistibileAna(java.lang.String patientCode)`
    `BlindStatus` | `getDocumentBlindStatus(java.lang.String patientCode, DocumentURI documentURI, java.lang.String documentOwner)` Metodo di ritorno dei valori dei consensi puntuali di oscuramento e maggior tutela per i soli documenti di cui un medico è autore.
    `java.lang.String` | `getPreviousAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso al pregresso sul fascicolo
    `java.lang.String` | `getProperty(java.lang.String property)`
    `java.lang.String` | `getReadingAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso alla consultazione sul fascicolo
    `java.lang.String` | `getWritingAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso all'alimentazione sul fascicolo
    `boolean` | `setAccessPolicies(java.lang.String patientCode, AccessPolicies accessPolicies)` Consente di settare le politiche di accesso puntuale alla consultazione
    `boolean` | `setChiusuraPianoECare(java.lang.String motivoChiusura, java.lang.String descAltraMotivazione)` Consente di non arruolare un assistito alla sperimentazione CarePuglia 3.0 oppure di chiudere un piano già attivo
    `boolean` | `setConsensoPianoECare(boolean consensoPianoECare)` Imposta il consenso alla sperimentazione di CarePuglia 3.0
    `boolean` | `setDisclosure(java.lang.String patientCode, boolean agreement)` Metodo di settaggio dei valori della informativa
    `boolean` | `setPreviousAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso al pregesso sul fascicolo dell'assitito
    `boolean` | `setReadingAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso alla consultazione sul fascicolo dell'assitito
    `boolean` | `setWritingAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso all'alimentazione sul fascicolo dell'assitito

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IGestoreConsensoImpl

          public IGestoreConsensoImpl()

  - ### Method Detail

    - #### setChiusuraPianoECare

          public boolean setChiusuraPianoECare(java.lang.String motivoChiusura,
                                      java.lang.String descAltraMotivazione)

      Description copied from interface: `IGestoreConsenso`
      Consente di non arruolare un assistito alla sperimentazione CarePuglia 3.0 oppure di chiudere un piano già attivo
      Specified by:
        `setChiusuraPianoECare` in interface `IGestoreConsenso`
      Parameters:
        `motivoChiusura` - Motivo della chiusura della sperimentazione. Parametro obbligatorio.
        `descAltraMotivazione` - Descrizione altra motivazione di chiusura. Parametro facoltativo.
      Returns:
        l'esito dell'operazione

    - #### setConsensoPianoECare

          public boolean setConsensoPianoECare(boolean consensoPianoECare)

      Description copied from interface: `IGestoreConsenso`
      Imposta il consenso alla sperimentazione di CarePuglia 3.0
      Specified by:
        `setConsensoPianoECare` in interface `IGestoreConsenso`
      Parameters:
        `consensoPianoECare` - il consenso al CarePuglia 3.0 . Parametro obbligatorio.
      Returns:
        l'esito dell'operazione

    - #### setAccessPolicies

          public boolean setAccessPolicies(java.lang.String patientCode,
                                  AccessPolicies accessPolicies)

      Description copied from interface: `IGestoreConsenso`
      Consente di settare le politiche di accesso puntuale alla consultazione
      Specified by:
        `setAccessPolicies` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `accessPolicies` - le politiche di accesso puntuale alla consultazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione

    - #### getAccessPolicies

          public AccessPolicies getAccessPolicies(java.lang.String patientCode)

      Description copied from interface: `IGestoreConsenso`
      Restituisce le politiche di accesso puntuale alla consultazione
      Specified by:
        `getAccessPolicies` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        le politiche di accesso puntuale impostate attualmente per l'assistito

    - #### setWritingAgreement

          public boolean setWritingAgreement(java.lang.String patientCode,
                                    boolean agreement)

      Description copied from interface: `IGestoreConsenso`
      Imposta il consenso all'alimentazione sul fascicolo dell'assitito
      Specified by:
        `setWritingAgreement` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso all'alimentazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione

    - #### setReadingAgreement

          public boolean setReadingAgreement(java.lang.String patientCode,
                                    boolean agreement)

      Description copied from interface: `IGestoreConsenso`
      Imposta il consenso alla consultazione sul fascicolo dell'assitito
      Specified by:
        `setReadingAgreement` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso alla consultazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione

    - #### setPreviousAgreement

          public boolean setPreviousAgreement(java.lang.String patientCode,
                                     boolean agreement)

      Description copied from interface: `IGestoreConsenso`
      Imposta il consenso al pregesso sul fascicolo dell'assitito
      Specified by:
        `setPreviousAgreement` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso al pregresso. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione

    - #### getWritingAgreement

          public java.lang.String getWritingAgreement(java.lang.String patientCode)

      Description copied from interface: `IGestoreConsenso`
      Restituisce lo stato attuale del consenso all'alimentazione sul fascicolo
      Specified by:
        `getWritingAgreement` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso all'alimentazione:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato

    - #### getReadingAgreement

          public java.lang.String getReadingAgreement(java.lang.String patientCode)

      Description copied from interface: `IGestoreConsenso`
      Restituisce lo stato attuale del consenso alla consultazione sul fascicolo
      Specified by:
        `getReadingAgreement` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso alla consultazione:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato

    - #### getPreviousAgreement

          public java.lang.String getPreviousAgreement(java.lang.String patientCode)

      Description copied from interface: `IGestoreConsenso`
      Restituisce lo stato attuale del consenso al pregresso sul fascicolo
      Specified by:
        `getPreviousAgreement` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso al pregresso:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato

    - #### blindDocument

          public boolean blindDocument(java.lang.String patientCode,
                              DocumentURI documentURI,
                              java.lang.String documentOwner,
                              java.lang.String documentType,
                              boolean blindDocument)

      Description copied from interface: `IGestoreConsenso`
      Imposta lo stato di oscuramento su uno specifico documento del fascicolo
      Specified by:
        `blindDocument` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `documentURI` - l'identificativo univoco del documento. Parametro obbligatorio.
        `documentOwner` - il codice fiscale del titolare del documento. Parametro obbligatorio.
        `documentType` - il tipo di documento. Parametro obbligatorio.
        `blindDocument` - indica se oscurare il documento `true` oscura, `false` revoca l'oscuramento. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione

    - #### getDocumentBlindStatus

          public BlindStatus getDocumentBlindStatus(java.lang.String patientCode,
                                           DocumentURI documentURI,
                                           java.lang.String documentOwner)

      Description copied from interface: `IGestoreConsenso`
      Metodo di ritorno dei valori dei consensi puntuali di oscuramento e maggior tutela per i soli documenti di cui un medico è autore.
      Specified by:
        `getDocumentBlindStatus` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `documentURI` - l'identificativo univoco del documento. Parametro obbligatorio.
        `documentOwner` - il codice fiscale del titolare del documento. Parametro obbligatorio.
      Returns:
        BlindStatus `BlindStatus`

    - #### setDisclosure

          public boolean setDisclosure(java.lang.String patientCode,
                              boolean agreement)

      Description copied from interface: `IGestoreConsenso`
      Metodo di settaggio dei valori della informativa
      Specified by:
        `setDisclosure` in interface `IGestoreConsenso`
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.

    - #### getAgreements

          public Agreements getAgreements(java.lang.String patientCode)

      Specified by:
        `getAgreements` in interface `IGestoreConsenso`

    - #### getProperty

          public java.lang.String getProperty(java.lang.String property)

    - #### getAssistibileAna

          public java.lang.String getAssistibileAna(java.lang.String patientCode)

      Specified by:
        `getAssistibileAna` in interface `IGestoreConsenso`